function varargout = plot(varargin)

for i = 1 : length(varargin)
    if isa(varargin{i},'namedmat')
        varargin{i} = permute(varargin{i},[3,1,2]);
        varargin{i} = double(varargin{i}(:,:));
    end
end
[varargout{1:nargout}] = plot(varargin{:});

end